-- require("starship"):setup()

require("git"):setup()
th.git = th.git or {}
th.git.modified_sign = "M"
th.git.deleted_sign = "D"

require("dir-rules"):setup()

require("restore"):setup({
    position = { "center", w = 70, h = 40 },
    show_confirm = true,
})

Status:children_add(function()
    local h = cx.active.current.hovered
    if h == nil or ya.target_family() ~= "unix" then
      return ""
    end

    return ui.Line {
      ui.Span(ya.user_name(h.cha.uid) or tostring(h.cha.uid)):fg("magenta"),
      ":",
      ui.Span(ya.group_name(h.cha.gid) or tostring(h.cha.gid)):fg("magenta"),
      " ",
    }
end, 500, Status.RIGHT)

Status:children_add(function(self)
    local h = self._current.hovered
    if h and h.link_to then
      return " -> " .. tostring(h.link_to)
    else
      return ""
    end
end, 3300, Status.LEFT)
